# Generated by Django 2.2 on 2021-01-16 17:39

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0011_update_proxy_permissions'),
    ]

    operations = [
        migrations.CreateModel(
            name='ErrorCodeLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code_name', models.CharField(max_length=100)),
                ('message', models.CharField(max_length=500)),
                ('source', models.CharField(max_length=10)),
                ('api_path', models.CharField(max_length=200, null=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
            ],
            options={
                'db_table': 'error_code_log',
            },
        ),
        migrations.CreateModel(
            name='ExceptionLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('user_id', models.IntegerField(null=True)),
                ('request_method', models.CharField(max_length=10)),
                ('request_path', models.CharField(max_length=500)),
                ('traceback', models.TextField(null=True)),
                ('remote_address', models.CharField(max_length=50)),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('exception', models.TextField()),
            ],
            options={
                'verbose_name': 'Exception Log',
                'verbose_name_plural': 'Exception Logs',
                'db_table': 'sys_exception_log',
            },
        ),
        migrations.CreateModel(
            name='SystemConfiguration',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('module', models.CharField(max_length=50)),
                ('display_name', models.CharField(max_length=100)),
                ('code_name', models.CharField(max_length=100)),
                ('field_value', models.CharField(blank=True, max_length=200, null=True)),
                ('data_type', models.CharField(max_length=20)),
                ('data_length', models.DecimalField(decimal_places=2, max_digits=9)),
                ('data_control', models.CharField(max_length=20)),
                ('data_option', models.CharField(max_length=200)),
                ('is_system_config', models.BooleanField(default=False)),
                ('group', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='auth.Group')),
            ],
            options={
                'db_table': 'sys_config',
                'default_permissions': (),
            },
        ),
    ]
